<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php

include_once "class.superfpdf.php";

class EtikettenPDF extends SuperFPDF {

  function __construct(&$app,$projekt="") {
    $this->app=&$app;
    $this->page_definded=false;
  }

  function SetXML($xml)
  {
    if(empty($xml))return;
    $label = new SimpleXMLElement($xml);


    foreach($label as $key=>$items)
    {
      switch($key)
      {
        case "settings":
          if(!$this->page_definded)
          {
            parent::__construct('P','mm',array(trim($items->attributes()->width),trim($items->attributes()->height)));
            $this->page_definded = true;
          }

          $this->SetAutoPageBreak(false);
          $this->SetFont('Arial','B',4);
          $this->SetLeftMargin(0);
          $this->SetMargins(0,0,0);
          $this->AddPage();
          break;

        case "line":
          $this->SetXY(trim($items->attributes()->x),$items->attributes()->y,$items[0]); 
          $this->SetFont('Arial','',$items->attributes()->size*2);
          $this->MultiCell(0,$items->attributes()->size,$items[0],0,'L');
          break;
  
        case "image":
          $type = exif_imagetype ( trim($items[0]) );

          switch($type)
          {
            case IMAGETYPE_GIF: $type="gif"; break;
            case IMAGETYPE_JPEG: $type="jpg"; break;
            case IMAGETYPE_PNG: $type="png"; break;
            default: $type="";
          }
          if($type!="")
          {
            $this->Image(trim($items[0]),trim($items->attributes()->x),trim($items->attributes()->y),trim($items->attributes()->width),trim($items->attributes()->height),$type);
          } 
          break; 

        case "barcode":
          if((String)($items->attributes()->type)=="E30") {
            $this->EAN13($items->attributes()->x,$items->attributes()->y, $items[0],$items->attributes()->size);
          } else {
            $this->Code39($items->attributes()->x,$items->attributes()->y, $items[0], 0.5, $items->attributes()->size);//, $printText=false)
          }

          break;
      }
    }



  }


}
?>
