<?php
/*
**** COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
* 
* WaWision (c) embedded projects GmbH, Holzbachstrasse 4, D-86154 Augsburg, * Germany 2015 
*
* This file is licensed under the Embedded Projects General Public License *Version 3.1. 
*
* You should have received a copy of this license from your vendor and/or *along with this file; If not, please visit www.wawision.de/Lizenzhinweis 
* to obtain the text of the corresponding license version.  
*
**** END OF COPYRIGHT & LICENSE NOTICE *** DO NOT REMOVE ****
*/
?>
<?php
class Managementboard 
{

  function __construct(&$app)
  {
    $this->app=&$app; 

    $this->app->ActionHandlerInit($this);


    $this->app->ActionHandler("list","ManagementboardList");
    $this->app->ActionHandler("cash","ManagementboardCash");
    $this->app->ActionHandler("supergraph","ManagementboardSupergraph");
    $this->app->DefaultActionHandler("list");

    $this->app->ActionHandlerListen($app);
  }

  function ManagementboardMenu()
  {
    $this->app->erp->MenuEintrag("index.php?module=managementboard&action=list","Auftr&auml;ge");  
    $this->app->erp->MenuEintrag("index.php?module=managementboard&action=cash","Finanzen / Cashflow");
    $this->app->erp->MenuEintrag("index.php?module=managementboard&action=supergraph","Angebote / Auftr&auml;ge");
  }
  
  function ManagementboardSupergraph()
  {
    $this->ManagementboardMenu();
    require_once(dirname(__FILE__).'/../../phpwf/widgets/chart.php');
    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT t.monatjahr, max(t.angebote) as angebote, max(t.auftraege) as auftraege,  max(t.rechnungen) as rechnungen, max(t.gutschriften) as gutschriften
    FROM (
    (SELECT date_format(an.datum,'%m/%Y') as monatjahr,  date_format(an.datum,'%Y') as jahr, date_format(an.datum,'%m') as monat, count(an.id) as angebote, 0 as rechnungen, 0 as gutschriften, 0 as auftraege FROM angebot an WHERE an.status <> 'storniert' AND an.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < an.datum GROUP BY monat, jahr, monatjahr)
    UNION ALL
    (SELECT date_format(gu.datum,'%m/%Y') as monatjahr,  date_format(gu.datum,'%Y') as jahr, date_format(gu.datum,'%m') as monat, 0 as angebote, 0 as rechnungen, count(gu.id) as gutschriften, 0 as bestellungen FROM gutschrift gu WHERE gu.status <> 'storniert' AND gu.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < gu.datum GROUP BY monat, jahr, monatjahr)
    UNION ALL
    (SELECT date_format(re.datum,'%m/%Y') as monatjahr,  date_format(re.datum,'%Y') as jahr, date_format(re.datum,'%m') as monat,0 as angebote, count(re.id) as rechnungen,  0 as gutschriften, 0 as auftraege FROM rechnung re WHERE re.status <> 'storniert' AND re.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < re.datum GROUP BY monat, jahr, monatjahr)    

        UNION ALL
    (SELECT date_format(ab.datum,'%m/%Y') as monatjahr,  date_format(ab.datum,'%Y') as jahr, date_format(ab.datum,'%m') as monat,0 as angebote, 0 as rechnungen,  0 as gutschriften, count(ab.id) as auftraege FROM auftrag ab WHERE ab.status <> 'storniert' AND ab.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < ab.datum GROUP BY monat, jahr, monatjahr)    
    
    ) t group by t.monatjahr,t.jahr, t.monat order by t.jahr, t.monat
    "    ,true, array('typ'=>'monate','zeitraum'=>12));
    $chart->kommulieren();
    $chart->DisplayWithBox('TAB1','supergraph','Kumulierte Angebote / Auftr&auml;ge / Rechnungen / Gutschriften', 400, 150);  
    $this->app->Tpl->Parse('PAGE','tabview.tpl');
  }
  
  function ManagementboardCash()
  {
    $this->ManagementboardMenu();

    $w[0] = $this->app->DB->Select("SELECT sum(umsatz_netto) as umsatz_netto, sum(erloes_netto) as deckungsbeitrag FROM auftrag WHERE status != 'storniert' AND status!='angelegt' AND date(datum) = date(now())");
    $w[1] = $this->app->DB->Select("SELECT sum(umsatz_netto) as umsatz_netto, sum(erloes_netto) as deckungsbeitrag FROM auftrag WHERE status != 'storniert' AND status!='angelegt' AND date(datum) = date(CURDATE()-1)");




    $w[8] = $this->app->DB->Select("SELECT SUM(r.soll-r.ist) FROM rechnung r LEFT JOIN projekt p on r.projekt = p.id WHERE r.zahlungsstatus='offen' AND r.mahnwesen!='forderungsverlust' AND r.belegnr!='' AND r.mahnwesen!=''  AND r.mahnwesen_gesperrt='0' AND r.mahnwesenfestsetzen!=1 AND p.mahnwesen=1");
    $w[9] = $this->app->DB->Select("SELECT SUM(v.betrag) FROM verbindlichkeit v WHERE v.status!='bezahlt'");

    $sql = "select SUM(ap.menge*ap.preis*(100-ap.rabatt)/100)
      FROM auftrag_position ap LEFT JOIN auftrag a ON ap.auftrag=a.id LEFT JOIN adresse ad ON ad.id=a.adresse LEFT JOIN projekt p ON p.id=a.projekt
      WHERE ap.geliefert_menge < ap.menge AND ap.geliefert!=1 AND a.status!='abgeschlossen' AND a.status!='storniert' AND a.status!='angelegt'";
    $w[10] = $this->app->DB->Select($sql);


    $wi=12; 
    for($intervall=0;$intervall<=2;$intervall++)
    {
      $w[$wi++] = $this->app->DB->Select("SELECT sum(umsatz_netto) FROM rechnung WHERE DATE_FORMAT(datum,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m') AND status!='angelegt'") - 
      $this->app->DB->Select("SELECT sum(umsatz_netto) FROM gutschrift WHERE DATE_FORMAT(datum,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m') AND status!='angelegt'");

      $w[$wi++] = $this->app->DB->Select("SELECT sum(betrag) FROM verbindlichkeit WHERE DATE_FORMAT(rechnungsdatum,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m')");

      $w[$wi++] = $this->app->DB->Select("SELECT sum(k.haben) FROM kontoauszuege k LEFT JOIN kontorahmen ko ON ko.sachkonto=k.gegenkonto WHERE (k.importfehler!=1 OR k.importfehler IS NULL) AND 
        DATE_FORMAT(k.buchung,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m')  AND ko.art=1 ") -
      $this->app->DB->Select("SELECT sum(k.soll) FROM kontoauszuege k LEFT JOIN kontorahmen ko ON ko.sachkonto=k.gegenkonto WHERE (k.importfehler!=1 OR k.importfehler IS NULL) AND 
        DATE_FORMAT(k.buchung,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m') AND ko.art=1 ");

      $w[$wi++] = $this->app->DB->Select("SELECT sum(haben) FROM kontoauszuege WHERE (importfehler!=1 OR importfehler IS NULL) AND 
          DATE_FORMAT(buchung,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m')") -
        $this->app->DB->Select("SELECT sum(soll) FROM kontoauszuege WHERE (importfehler!=1 OR importfehler IS NULL) AND 
          DATE_FORMAT(buchung,'%Y-%m')=DATE_FORMAT(DATE_SUB(NOW(),INTERVAL $intervall MONTH),'%Y-%m')");
     } 

  


    $this->app->Tpl->Set('FINANZENBESTELLUNGEN',number_format($w[0],2,',','.'));
    $this->app->Tpl->Set('FINANZENVERBINDLICHKEITEN',number_format($w[1],2,',','.'));
    $this->app->Tpl->Set('FINANZENRECHNUNGEN',number_format($w[2],2,',','.'));
    $this->app->Tpl->Set('FINANZENGUTSCHRIFTEN',number_format($w[3],2,',','.'));

    $this->app->Tpl->Set('UMSATZBRUTTO',number_format($w[4],2,',','.'));
    $this->app->Tpl->Set('UMSATZNETTO',number_format($w[5],2,',','.'));
    $this->app->Tpl->Set('DBINEUR',number_format($w[6],2,',','.'));
    $this->app->Tpl->Set('DBINPROZENT',number_format($w[7],2,',','.'));
 
    $this->app->Tpl->Set('OFFENERECHNUNGEN',number_format($w[8],2,',','.'));
    $this->app->Tpl->Set('OFFENEVERBINDLICHKEITEN',number_format($w[9],2,',','.'));
    $this->app->Tpl->Set('OFFENEAUFTRAEGE',number_format($w[10],2,',','.'));
    $this->app->Tpl->Set('MAHNWESEN',number_format($w[11],2,',','.'));
    
    $this->app->Tpl->Set('RECHNUNGGUTSCHRIFT',number_format($w[12],2,',','.'));
    $this->app->Tpl->Set('VERBINDLICHKEITEN',number_format($w[13],2,',','.'));
    $this->app->Tpl->Set('BANKEINNAHMEN',number_format($w[14],2,',','.'));
    $this->app->Tpl->Set('BANKAUSGABEN',number_format($w[15],2,',','.'));
 
    $this->app->Tpl->Set('RECHNUNGGUTSCHRIFTLETZTER',number_format($w[16],2,',','.'));
    $this->app->Tpl->Set('VERBINDLICHKEITENLETZTER',number_format($w[17],2,',','.'));
    $this->app->Tpl->Set('BANKEINNAHMENLETZTER',number_format($w[18],2,',','.'));
    $this->app->Tpl->Set('BANKAUSGABENLETZTER',number_format($w[19],2,',','.'));
    
    $this->app->Tpl->Set('RECHNUNGGUTSCHRIFTVORLETZTER',number_format($w[20],2,',','.'));
    $this->app->Tpl->Set('VERBINDLICHKEITENVORLETZTER',number_format($w[21],2,',','.'));
    $this->app->Tpl->Set('BANKEINNAHMENVORLETZTER',number_format($w[22],2,',','.'));
    $this->app->Tpl->Set('BANKAUSGABENVORLETZTER',number_format($w[23],2,',','.'));
 
    $heute = $this->app->DB->SelectArr("SELECT count(id) as co, sum(umsatz_netto) as umsatz_netto, sum(erloes_netto) as deckungsbeitrag FROM auftrag WHERE status != 'storniert' AND status!='angelegt' AND DATE_FORMAT(datum,'%m-%Y') = DATE_FORMAT(NOW(),'%m-%Y')");

    $paketeheute = 0;
    $umsatzheute = 0;
    $deckungsbeitragheute = 0;
    $dbprozentheute = 0;
    $deckungsbeitraggestern = 0;
    $dbprozentgestern = 0;
    if($heute)
    {
      $paketeheute = $heute[0]['co'];
      $umsatzheute = $heute[0]['umsatz_netto'];
      $deckungsbeitragheute = $heute[0]['deckungsbeitrag'];
    }
    if($umsatzheute > 0)$dbprozentheute = 100* $deckungsbeitragheute / $umsatzheute;
    if($umsatzgestern > 0)$dbprozentgestern = 100* $deckungsbeitraggestern / $umsatzgestern;
    
    $this->app->Tpl->Set('PAKETEHEUTE',(int)$paketeheute);
    $this->app->Tpl->Set('UMSATZHEUTE',number_format($umsatzheute,2,',','.'));
    $this->app->Tpl->Set('DECKUNGSBEITRAGHEUTE',number_format($deckungsbeitragheute,2,',','.'));
    $this->app->Tpl->Set('DBPROZENTHEUTE',number_format($dbprozentheute,2,',','.'));
    
    $this->app->Tpl->Set('PAKETEGESTERN',(int)$paketegestern);
    $this->app->Tpl->Set('UMSATZGESTERN',number_format($umsatzgestern,2,',','.'));
    $this->app->Tpl->Set('DECKUNGSBEITRAGGESTERN',number_format($deckungsbeitraggestern,2,',','.'));
    $this->app->Tpl->Set('DBPROZENTGESTERN',number_format($dbprozentgestern,2,',','.'));
    $zeitaktuell = (float)$this->app->DB->Select("SELECT sum(TIMESTAMPDIFF(HOUR,von,bis)) FROM zeiterfassung WHERE DATE_FORMAT(von,'%m-%Y') = DATE_FORMAT(NOW(),'%m-%Y')  ");
    $zeitletzte = (float)$this->app->DB->Select("SELECT sum(TIMESTAMPDIFF(HOUR,von,bis)) FROM zeiterfassung WHERE DATE_FORMAT(von,'%m-%Y') = DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 1 MONTH),'%m-%Y')  ");
    $abraktuell = (float)$this->app->DB->Select("SELECT sum(TIMESTAMPDIFF(HOUR,von,bis)) FROM zeiterfassung WHERE DATE_FORMAT(von,'%m-%Y') = DATE_FORMAT(NOW(),'%m-%Y') and abrechnen = 1  ");
    $abrletzte = (float)$this->app->DB->Select("SELECT sum(TIMESTAMPDIFF(HOUR,von,bis)) FROM zeiterfassung WHERE DATE_FORMAT(von,'%m-%Y') = DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 1 MONTH),'%m-%Y') and abrechnen = 1 ");
    
    
    
    $this->app->Tpl->Set('ZEITHEUTE',number_format($zeitaktuell,2,',','.'));
    $this->app->Tpl->Set('ZEITWOCHE',number_format($zeitletzte,2,',','.'));
    $this->app->Tpl->Set('ABRHEUTE',number_format($abraktuell,2,',','.'));
    $this->app->Tpl->Set('ABRWOCHE',number_format($abrletzte,2,',','.'));
   

    require_once(dirname(__FILE__).'/../../phpwf/widgets/chart.php');

    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT t.monatjahr, max(t.angebote) as angebote, max(t.auftraege) as aufträge,  max(t.rechnungen) as rechnungen, max(t.gutschriften) as gutschriften
    FROM (
    (SELECT date_format(an.datum,'%m/%Y') as monatjahr,  date_format(an.datum,'%Y') as jahr, date_format(an.datum,'%m') as monat, sum(an.umsatz_netto) as angebote, 0 as rechnungen, 0 as gutschriften, 0 as auftraege FROM angebot an WHERE an.status <> 'storniert' AND an.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < an.datum GROUP BY monat, jahr, monatjahr)
    UNION ALL
    (SELECT date_format(gu.datum,'%m/%Y') as monatjahr,  date_format(gu.datum,'%Y') as jahr, date_format(gu.datum,'%m') as monat, 0 as angebote, 0 as rechnungen, sum(gu.umsatz_netto) as gutschriften, 0 as bestellungen FROM gutschrift gu WHERE gu.status <> 'storniert' AND gu.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < gu.datum GROUP BY monat, jahr, monatjahr)
    UNION ALL
    (SELECT date_format(re.datum,'%m/%Y') as monatjahr,  date_format(re.datum,'%Y') as jahr, date_format(re.datum,'%m') as monat,0 as angebote, sum(re.umsatz_netto) as rechnungen,  0 as gutschriften, 0 as auftraege FROM rechnung re WHERE re.status <> 'storniert' AND re.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < re.datum GROUP BY monat, jahr, monatjahr)    

        UNION ALL
    (SELECT date_format(ab.datum,'%m/%Y') as monatjahr,  date_format(ab.datum,'%Y') as jahr, date_format(ab.datum,'%m') as monat,0 as angebote, 0 as rechnungen,  0 as gutschriften, sum(ab.umsatz_netto) as auftraege FROM auftrag ab WHERE ab.status <> 'storniert' AND ab.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < ab.datum GROUP BY monat, jahr, monatjahr)    
    
    ) t group by t.monatjahr,t.jahr, t.monat order by t.jahr, t.monat
    "    ,true, array('typ'=>'monate','von'=>'01/'.date('Y'),'bis'=>date('m/Y')));
    $chart->colors = array( 'a2c55a','45b9d3','f69e06','0e8394');
    $chart->DisplayWithBox('DIAGRAMM1','umsatznetto','Umsatz Netto', 400, 210);  

    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT t.monatjahr, max(t.angebote) as angebote, max(t.auftraege) as aufträge,  max(t.rechnungen) as rechnungen, max(t.gutschriften) as gutschriften
    FROM (
    (SELECT date_format(an.datum,'%m/%Y') as monatjahr,  date_format(an.datum,'%Y') as jahr, date_format(an.datum,'%m') as monat, sum(an.umsatz_netto) as angebote, 0 as rechnungen, 0 as gutschriften, 0 as auftraege FROM angebot an WHERE an.status <> 'storniert' AND an.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < an.datum GROUP BY monat, jahr, monatjahr)
    UNION ALL
    (SELECT date_format(gu.datum,'%m/%Y') as monatjahr,  date_format(gu.datum,'%Y') as jahr, date_format(gu.datum,'%m') as monat, 0 as angebote, 0 as rechnungen, sum(gu.umsatz_netto) as gutschriften, 0 as bestellungen FROM gutschrift gu WHERE gu.status <> 'storniert' AND gu.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < gu.datum GROUP BY monat, jahr, monatjahr)
    UNION ALL
    (SELECT date_format(re.datum,'%m/%Y') as monatjahr,  date_format(re.datum,'%Y') as jahr, date_format(re.datum,'%m') as monat,0 as angebote, sum(re.umsatz_netto) as rechnungen,  0 as gutschriften, 0 as auftraege FROM rechnung re WHERE re.status <> 'storniert' AND re.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < re.datum GROUP BY monat, jahr, monatjahr)    

        UNION ALL
    (SELECT date_format(ab.datum,'%m/%Y') as monatjahr,  date_format(ab.datum,'%Y') as jahr, date_format(ab.datum,'%m') as monat,0 as angebote, 0 as rechnungen,  0 as gutschriften, sum(ab.umsatz_netto) as auftraege FROM auftrag ab WHERE ab.status <> 'storniert' AND ab.status!='angelegt' AND 
    DATE_FORMAT(DATE_SUB(NOW(),INTERVAL 12 MONTH),'%Y-%m-01') < ab.datum GROUP BY monat, jahr, monatjahr)    
    
    ) t group by t.monatjahr,t.jahr, t.monat order by t.jahr, t.monat
    "    ,true, array('typ'=>'monate','von'=>'01/'.date('Y'),'bis'=>date('m/Y')));
    $chart->colors = array( 'a2c55a','45b9d3','f69e06','0e8394');
    $chart->background = true;
    $chart->kommulieren();
    $chart->DisplayWithBox('DIAGRAMM1','supergraph','Kumulierter Umsatz Netto', 400, 160);  




 /* 
    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT date_format(datum,'%d.%m.%Y') as tage, count(id) as anzahl, round(sum(umsatz_netto),2) as Umsatz FROM auftrag where datediff(now(),datum) <= 90 AND status != 'storniert' AND status!='angelegt' GROUP BY datum order by datum",true, array('typ'=>'tage','zeitraum'=>90));
    $chart->yAxes = array(1,2);
    $chart->DisplayWithBox('DIAGRAMM2','auftraegeeingang','Auftragseing&auml;nge', 400, 210);
*/
/*
    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT date_format(rechnungsdatum,'%d.%m.%Y') as tag, round(sum(betrag),2) as Umsatz FROM verbindlichkeit where datediff(now(),rechnungsdatum) <= 90 AND status != 'storniert' AND status!='angelegt' GROUP BY rechnungsdatum order by rechnungsdatum",true, array('typ'=>'tage','zeitraum'=>90));
    $chart->DisplayWithBox('DIAGRAMM3','verbindlichkeiten','Verbindlichkeiten', 400, 175);    
*/
   $this->app->Tpl->Parse('PAGE','managementboard_cash.tpl');
  }

  function ManagementboardList()
  {
    $this->ManagementboardMenu();
   
    
    require_once(dirname(__FILE__).'/../../phpwf/widgets/chart.php');
    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT date_format(datum,'%d.%m.%Y') as tag, count(id) as anzahl, round(sum(umsatz_netto),2) as Umsatz FROM auftrag where datediff(now(),datum) <= 90 AND status != 'storniert' AND status!='angelegt' GROUP BY datum order by datum",true, array('typ'=>'tage','zeitraum'=>90));
    $chart->yAxes = array(1,2);
    $chart->background = true;
    $chart->DisplayWithBox('AUFTRAGSEINGANG','auftraegeeingang','Auftragseing&auml;nge', 400, 200);
    //$chart->DisplayWithBox('TAB1','auftraege','auftraege', "500", "250");
    //$chart = new Chart($this->app,'line');
    //$chart->Query("SELECT date_format(datum,'%d.%m.%Y') as tag, sum(umsatz_netto) as Umsatz FROM auftrag where datediff(now(),datum) <= 90 AND status != 'storniert' AND status!='angelegt' GROUP BY datum order by datum",true, array('typ'=>'tage','zeitraum'=>90));
    //$chart->DisplayWithBox('UMSATZPROTAG','umsatzprotag','Umsatz pro Tag', "95%", 150);    
    
    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT date_format(datum,'%d.%m.%Y') as tag,count(id) as Anzahl, round(sum(gesamtsumme),2) as Umsatz FROM bestellung where datediff(now(),datum) <= 90 AND status != 'storniert' AND status!='angelegt' GROUP BY datum order by datum",true, array('typ'=>'tage','zeitraum'=>90));
    $chart->yAxes = array(1,2);
    $chart->background = true;
    $chart->DisplayWithBox('BESTELLUNGEN','bestellungen','Bestellungen', 400, 200);    
    
    $chart = new Chart($this->app,'line');
    $chart->Query("SELECT date_format(rechnungsdatum,'%d.%m.%Y') as tag, round(sum(betrag),2) as Umsatz FROM verbindlichkeit where datediff(now(),rechnungsdatum) <= 90 AND status != 'storniert' AND status!='angelegt' GROUP BY rechnungsdatum order by rechnungsdatum",true, array('typ'=>'tage','zeitraum'=>90));
    $chart->DisplayWithBox('VERBINDLICHKEITEN','verbindlichkeiten','Verbindlichkeiten', 400, 175);    
        
    $chart = new Chart($this->app,'doughnut');
    $chart->colorcol = 3;
    $chart->Query("SELECT ifnull(p.abkuerzung,'Ohne Projekt'), round(sum(a.umsatz_netto),2), ifnull(p.farbe,'') FROM auftrag a LEFT JOIN projekt p ON a.projekt = p.id  
    WHERE year(a.datum) = year(now()) GROUP BY a.projekt ORDER by sum(a.umsatz_netto) DESC LIMIT 5",true);
    $chart->DisplayWithBox('UMSATZPROJEKTEJAHR','umsatzprojahr','Umsatz Projekte im Jahr', 400, 300);        

    $chart = new Chart($this->app,'doughnut');
    $chart->colorcol = 3;
    $chart->Query("SELECT ifnull(p.abkuerzung,'Ohne Projekt'), round(sum(a.umsatz_netto),2), ifnull(p.farbe,'') FROM auftrag a LEFT JOIN projekt p ON a.projekt = p.id  
    WHERE year(a.datum) = year(now()) and month(a.datum) = month(now()) GROUP BY a.projekt ORDER by sum(a.umsatz_netto) DESC LIMIT 5",true);
    $chart->DisplayWithBox('UMSATZPROJEKTEMONAT','umsatzpromonat','Umsatz Projekte im Monat', 400, 300); 

    $chart = new Chart($this->app,'doughnut');
    $chart->colorcol = 3;
    $chart->Query("SELECT ifnull(p.abkuerzung,'Ohne Projekt'), count(a.id), ifnull(p.farbe,'') FROM adresse a LEFT JOIN projekt p ON a.projekt = p.id  
    WHERE  a.mitarbeiternummer != '' AND a.geloescht <> 1 GROUP BY a.projekt ORDER by count(a.id) DESC LIMIT 5",true);
    $chart->DisplayWithBox('MITARBEITER','mitarbeiter','Mitarbeiter',400, 300); 

    $chart = new Chart($this->app,'doughnut');
    
    $chart->Query("SELECT concat(art.nummer,' ',substring(art.name_de,1,30)) as Artikel, round(sum(rp.menge*rp.preis),2) FROM artikel art INNER JOIN rechnung_position rp ON art.id = rp.artikel  INNER JOIN rechnung r ON r.id = rp.rechnung
    WHERE  r.status != 'angelegt' AND r.status <> 'storniert' AND r.status!='angelegt' AND datediff(now(),r.datum) <= 90   GROUP BY art.id ORDER by sum(rp.menge*rp.preis) DESC LIMIT 5",true);
    $chart->DisplayWithBox('VERKAUFTEARTIKEL','verkaufteartikel','Top 5 Artikel (90 Tage)',400, 300);     
    
    
    $this->app->Tpl->Parse('PAGE','managementboard_list.tpl');
  }
}
?>
